Game crashes with "Intersect code went wrong"


#1

Sometimes mid-battle (seems random), the game will stop and pop up this message (in a separate window with WM decorations):

Intersect code went wrong:/builddir/Positech/GSB/source/SIM_BeamWeaponModule.cpp 537

The pop-up has a ‘Close’ button, which doesn’t respond. Nothing responds until I switch to a tty and kill -9 the GSB process. I don’t see any logs or debug information in ~/.positech/GSB/.

Some useful info about the system:

cat /etc/redhat-release Fedora release 15 (Lovelock) lspci | grep VGA
01:00.0 VGA compatible controller: nVidia Corporation GT200 [GeForce GTX 260] (rev a1)
rpm -q kmod-nvidia kmod-nvidia-275.09.07-1.fc15.2.x86_64 uname -a
Linux giskard.endonne 2.6.38.8-35.fc15.x86_64 #1 SMP Wed Jul 6 13:58:54 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux
grep 'model name' /proc/cpuinfo | uniq model name : AMD Athlon(tm) 64 X2 Dual Core Processor 6000+ grep MemTotal /proc/meminfo
MemTotal: 4057772 kB

The window manager in use is wmfs.


#2

Are you using the Tar.gz download? There will be a new build up soon that with fix this as well as a few other issues.


#3

Yes, it’s the .tar.gz, specifically from the humble bundle #4 (as far as I can tell, that’s the only place to get it? I’m not really sure…)

Thanks for the quick update :slight_smile:


#4

Yes, that is the only place to get it, unless you know where I live :smiley: